<?php

/**
 * @file
 * Abstract class that should be extended by modules
 * wishing to implement a robust api based on the wsif
 * interface.
 */

/**
 * An abstract interface for the creation of a robust
 * API via the wsif module.
 */
interface WSIFInterface {

  /**
   * Check the connection to the api.
   *
   * @return bool
   *   TRUE if connection is OK or FALSE otherwise.
   *   Note that for slow connections this may time
   *   out and throw an Exception which should also
   *   be accounted for.
   *
   * @see wsif_cron()
   */
  public function wsifCheckConnection();

  /**
   * Provide the current version of your API here.
   *
   * @return string
   *   Version information.
   */
  public function wsifGetVersion();

}
